package com.cico.nest.lcdp.boot.core.qxsd.infrastructure.gatewayimpl.http.xlw.dto;

import com.cico.nest.lcdp.boot.core.qxsd.adapter.web.vo.PassProfileImageVO;
import lombok.Data;

/**
 * @author zws
 * @date 2024/10/11
 */

@Data
public class XlwPassProfileImageDTO {

    //设备名称
    private String deviceName;

    //行驶行为，枚举：入、经、出
    private String positionMark;

    //设备编号
    private String deviceSn;

    //设备排序
    private Integer deviceOrder;

    //抓拍时间，格式：yyyy-MM-dd hh:mm:ss
    private String captureTime;

    //车头图片地址
    private String headImage;

    //车牌图片地址
    private String plateImage;

    //车侧图片地址
    private String sideImage;

    //车尾图片地址
    private String tailImage;

    public static PassProfileImageVO toVO(XlwPassProfileImageDTO dto) {
        PassProfileImageVO vo = new PassProfileImageVO();
        vo.setHeadImage(dto.getHeadImage());
        vo.setPlateImage(dto.getPlateImage());
        return vo;
    }

}
